Package org.bukkit.block.data.type

# Interface DaylightDetector

All Superinterfaces:
  `AnaloguePowerable`, `BlockData`, `Cloneable`

public interface DaylightDetector extends AnaloguePowerable
'inverted' denotes whether this daylight detector is in the inverted mode, i.e. activates in the absence of light rather than presence."

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isInverted()`
Gets the value of the 'inverted' property.
`void`
`setInverted(boolean inverted)`
Sets the value of the 'inverted' property.

### Methods inherited from interface org.bukkit.block.data.AnaloguePowerable

`getMaximumPower, getPower, setPower`

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, matches, merge`

## Method Details

### isInverted

boolean isInverted()
Gets the value of the 'inverted' property.

Returns:
  the 'inverted' value

### setInverted

void setInverted(boolean inverted)
Sets the value of the 'inverted' property.

Parameters:
  `inverted` - the new 'inverted' value